#
# pushare - P2P file shareing
#
# (c) FukTommy <fuktommy@users.sourceforge.net>
# Released under the GNU General Public License
# $Id: $
#

package Pushare::Config;

$port		= 8008;
$adminAddr	= "^127";			# regxp
@initNode	= qw(
	fuktommy.ddo.jp:8008
);

$cachedir	= "./cache";
$updir		= "./up";
$downdir	= "./down";
$lock		= "$cachedir/lock.txt";
$client		= "$cachedir/client.txt";
$nodelist	= "$cachedir/node.txt";
$distlist	= "$cachedir/dist.txt";
$ignorelist	= "$cachedir/ignore.txt";
$searchlist	= "$cachedir/search.txt";
$namelist	= "$cachedir/name.txt";
$jcode		= "euc";

$timeout	= 30;		# seconds
$timeError	= 60;		# seconds
$clientfrec	= 5;		# minutes
$pingfrec	= 11;		# minutes
$initfrec	= 25;		# minutes
$joinfrec	= 14;		# minutes
$distfrec	= 60;		# minutes
$timeout_client = 10;		# minutes	($timeout_client < $distfrec)
$savedist	= 180;		# minutes
$relay		= 0.1;		# probability
$ignore		= 0.1;		# probability
$bufsize	= 8192;		# bytes
$retry		= 3;		# times
$retrySearch	= 3;		# times
$nodes		= 5;
$children	= 10;
$version	= "0.1-beta1";

%command  = (
	md5sum => "md5sum",
	cp     => "cp",
);

if ($^O eq "freebsd") {
	$command{md5sum}   = "md5";
} elsif ($^O eq "cygwin") {
	$jcode = "sjis";
}

%mimeType = qw (
	avi	video/x-msvideo
	bin	application/octet-stream
	bmp	image/bmp
	cpio	application/x-cpio
	csv	text/comma-separated-values
	dvi	application/x-dvi
	gif	image/gif
	html	text/html
	jar	application/x-java-archive
	jpg	image/jpeg
	lzh	application/x-lzh
	mid	audio/midi
	mov	video/quicktime
	mp3	audio/mpeg
	mpg	video/mpeg
	ogg	application/x-ogg
	pdf	application/pdf
	pgp	application/pgp-signature
	png	image/png
	ps	application/postscript
	ra	audio/x-realaudio
	rpm	application/x-redhat-package-manager
	swf	application/x-shockwave-flash
	tar	application/x-tar
	tex	application/x-tex
	tif	image/tiff
	txt	text/plain
	tgz	application/x-gtar
	wav	audio/x-wav
	xml	text/xml
	zip	application/zip
);

1;
