#
# pushare - P2P file sharing system
#
# (c) Fuktommy <fuktommy@users.sourceforge.net>
# Released under the GNU General Public License
# $Id: $
#
package Pushare::Search;
use Pushare::Config;
use Pushare::Util;

$searchlist = $Pushare::Config::searchlist;

sub list() {
	my @search = ();
	if (open IN, $searchlist) {
		@search = <IN>;
		chomp @search;
		close IN;
	}
	return @search;
}

sub check(%) {
	my(%arg) = @_;
	if (rand() < $Pushare::Config::relay) {
		return 1;
	}
	my $s;
	my @search = list();
	foreach $s (@search) {
		my $flag = 0;
		eval "\$flag = ($s)";
		return 1 if ($flag);
	}
	return 0;
}

sub add($) {
	my($exp) = @_;
	Pushare::Util::lock();
	open OUT, ">> $searchlist" or return;
	print OUT "$exp\n";
	close OUT;	
	Pushare::Util::unlock();
}

sub delete($) {
	my($exp) = @_;
	Pushare::Util::lock();
	my @search = list();
	local $_;
	open OUT, "> $searchlist" or return;
	foreach (@search) {
		print OUT if ($_ ne $exp);
	}
	close OUT;	
	Pushare::Util::unlock();
}

1;
